Loading...
Searching...
No Matches
AVD3D12VAFramesContext Struct Reference

This struct is allocated as AVHWFramesContext.hwctx. More...

`#include <libavutil/hwcontext_d3d12va.h>`

## Data Fields

DXGI_FORMAT | format
| DXGI_FORMAT format.
D3D12_RESOURCE_FLAGS | flags
| Options for working with resources.

## Detailed Description

This struct is allocated as AVHWFramesContext.hwctx.

Definition at line 126 of file hwcontext_d3d12va.h.

## Field Documentation

## format

DXGI_FORMAT AVD3D12VAFramesContext::format

DXGI_FORMAT format.

MUST be compatible with the pixel format. If unset, will be automatically set.

Definition at line 131 of file hwcontext_d3d12va.h.

## flags

D3D12_RESOURCE_FLAGS AVD3D12VAFramesContext::flags

Options for working with resources.

If unset, this will be D3D12_RESOURCE_FLAG_NONE.

See also
  https://learn.microsoft.com/en-us/windows/win32/api/d3d12/ne-d3d12-d3d12_resource_flags

Definition at line 139 of file hwcontext_d3d12va.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_d3d12va.h